Debian Bug report logs - #725778
libasyncns: run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4

version graph

Package: libasyncns; Maintainer for libasyncns is Tanguy Ortolo <tanguy+debian@ortolo.eu>;

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Tue, 8 Oct 2013 09:06:01 UTC

Severity: normal

Tags: patch

Found in version 0.8-4

Fixed in version libasyncns/0.8-5

Done: Tanguy Ortolo <tanguy+debian@ortolo.eu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#725778; Package libasyncns. (Tue, 08 Oct 2013 09:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Tue, 08 Oct 2013 09:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: libasyncns: config.guess/config.sub out of date for arm64
Date: Tue, 8 Oct 2013 10:03:25 +0100
Package: libasyncns
Version: 0.8-4
Severity: normal
Tags: patch
User: debian-arm@lists.debian.org
Usertags: arm64

libasyncns fails to build on arm64 (in Ubuntu) like so:

  configure:5086: error: /bin/bash ./config.sub aarch64-linux-gnu failed

This is easily fixed by updating these files; I'd suggest using
dh-autoreconf to keep everything up to date, as in the following patch.

  * Use dh-autoreconf to bring autotools files up to date for arm64.

diff -Nru libasyncns-0.8/debian/control libasyncns-0.8/debian/control
--- libasyncns-0.8/debian/control	2011-08-09 23:01:01.000000000 +0100
+++ libasyncns-0.8/debian/control	2013-10-08 09:53:54.000000000 +0100
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.3.1), autotools-dev, doxygen
+Build-Depends: debhelper (>= 8.3.1), dh-autoreconf, doxygen
 Standards-Version: 3.9.2
 Homepage: http://0pointer.de/lennart/projects/libasyncns/
 Vcs-Git: git://git.ortolo.eu/pkg-libasyncns.git
diff -Nru libasyncns-0.8/debian/rules libasyncns-0.8/debian/rules
--- libasyncns-0.8/debian/rules	2011-07-30 20:23:25.000000000 +0100
+++ libasyncns-0.8/debian/rules	2013-10-08 09:53:00.000000000 +0100
@@ -7,7 +7,7 @@
 export LDFLAGS=-Wl,--as-needed
 
 %:
-	dh  $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --docdir=/usr/share/doc/libasyncns-dev

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#725778; Package libasyncns. (Thu, 09 Jan 2014 03:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Thu, 09 Jan 2014 03:15:09 GMT) Full text and rfc822 format available.

Message #10 received at 725778@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 725778@bugs.debian.org
Subject: re: libasyncns:config.guess/config.sub out of date for arm64
Date: Thu, 9 Jan 2014 03:12:12 +0000
[Message part 1 (text/plain, inline)]
The automatic autoreconf in the above patch is generally best, but if
you baulk at that I can confim that the attached more conservative
dh-autotools-dev patch also fixes the ftbfs for arm64.


Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[libasyncns-0.8-config-update.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#725778; Package libasyncns. (Thu, 09 Jan 2014 17:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. (Thu, 09 Jan 2014 17:21:09 GMT) Full text and rfc822 format available.

Message #15 received at 725778@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Wookey <wookey@wookware.org>, 725778@bugs.debian.org
Subject: Re: Bug#725778: libasyncns:config.guess/config.sub out of date for arm64
Date: Thu, 9 Jan 2014 18:13:47 +0100
[Message part 1 (text/plain, inline)]
Wookey, 2014-01-09 03:12+0000:
>The automatic autoreconf in the above patch is generally best, but if
>you baulk at that I can confim that the attached more conservative
>dh-autotools-dev patch also fixes the ftbfs for arm64.

You are mentionning two possible patches but providing only one, as it 
seems. Forgot to attach one?

-- 
 ,--.
: /` )   Tanguy Ortolo      <xmpp:tanguy@ortolo.eu>
| `-'    Debian Developer   <irc://irc.oftc.net/Tanguy>
 \_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#725778; Package libasyncns. (Thu, 09 Jan 2014 18:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Thu, 09 Jan 2014 18:39:16 GMT) Full text and rfc822 format available.

Message #20 received at 725778@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Cc: 725778@bugs.debian.org
Subject: Re: Bug#725778: libasyncns:config.guess/config.sub out of date for arm64
Date: Thu, 9 Jan 2014 18:37:48 +0000
+++ Tanguy Ortolo [2014-01-09 18:13 +0100]:
> Wookey, 2014-01-09 03:12+0000:
> >The automatic autoreconf in the above patch is generally best, but if
> >you baulk at that I can confim that the attached more conservative
> >dh-autotools-dev patch also fixes the ftbfs for arm64.
> 
> You are mentionning two possible patches but providing only one, as
> it seems. Forgot to attach one?

I was talking about the patch in the initial bug report (providing a
full dh-autoreconf), versus my patch providing only dh-autotools-dev
updates. Sorry if that wasn't clear.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#725778; Package libasyncns. (Thu, 09 Jan 2014 19:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. (Thu, 09 Jan 2014 19:09:05 GMT) Full text and rfc822 format available.

Message #25 received at 725778@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Wookey <wookey@wookware.org>, 725778@bugs.debian.org
Subject: Re: Bug#725778: libasyncns:config.guess/config.sub out of date for arm64
Date: Thu, 9 Jan 2014 20:07:12 +0100
[Message part 1 (text/plain, inline)]
Wookey, 2014-01-09 18:37+0000:
>I was talking about the patch in the initial bug report (providing a
>full dh-autoreconf), versus my patch providing only dh-autotools-dev
>updates. Sorry if that wasn't clear.

I see. For some reason, I completely missed that bug report, so I 
supposed it was new. Sorry about that, I shall fix it soon them, no 
problem.

-- 
 ,--.
: /` )   Tanguy Ortolo      <xmpp:tanguy@ortolo.eu>
| `-'    Debian Developer   <irc://irc.oftc.net/Tanguy>
 \_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#725778; Package libasyncns. (Tue, 21 Jan 2014 11:43:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Tue, 21 Jan 2014 11:43:15 GMT) Full text and rfc822 format available.

Message #30 received at 725778@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 725778@bugs.debian.org
Subject: reuse this issue for the more general solution to use dh-autoreconf
Date: Tue, 21 Jan 2014 11:40:04 +0000
Control: retitle -1 libasyncns: run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4

Reusing this report for the more general solution to also update
the libtool.m4 and/or aclocal.m4 files, needed for the port mentioned
in bug #726404.

See https://wiki.debian.org/qa.debian.org/FTBFS for a guide how to
address these.

Please ignore this email if the libtool.m4/aclocal.m4 update is not
needed, and updating the config.{guess,sub} files is sufficient.



Changed Bug title to 'libasyncns: run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4' from 'libasyncns: config.guess/config.sub out of date for arm64' Request was from Matthias Klose <doko@debian.org> to 725778-submit@bugs.debian.org. (Tue, 21 Jan 2014 11:43:15 GMT) Full text and rfc822 format available.

Reply sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
You have taken responsibility. (Thu, 30 Jan 2014 12:51:11 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Thu, 30 Jan 2014 12:51:11 GMT) Full text and rfc822 format available.

Message #37 received at 725778-close@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: 725778-close@bugs.debian.org
Subject: Bug#725778: fixed in libasyncns 0.8-5
Date: Thu, 30 Jan 2014 12:48:22 +0000
Source: libasyncns
Source-Version: 0.8-5

We believe that the bug you reported is fixed in the latest version of
libasyncns, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 725778@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tanguy Ortolo <tanguy+debian@ortolo.eu> (supplier of updated libasyncns package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 30 Jan 2014 12:00:53 +0100
Source: libasyncns
Binary: libasyncns-dev libasyncns0
Architecture: source amd64
Version: 0.8-5
Distribution: unstable
Urgency: medium
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Changed-By: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Description: 
 libasyncns-dev - Asynchronous name service query library development files
 libasyncns0 - Asynchronous name service query library
Closes: 725778
Changes: 
 libasyncns (0.8-5) unstable; urgency=medium
 .
   * debian/rules:
      + use dh-autoreconf to bring autotools files up to date for arm64
        (Closes: #725778).
      + avoid overwriting hardening flags by setting DEB_LDFLAGS_MAINT_APPEND
        rather than directly LDFLAGS.
   * debian/control:
      + depend on dh-autoreconf.
      + remove obsolete (and not needed anymore) field DM-Upload-Allowed.
      + update Standards-Version to 3.9.5 (one change needed: remove the
        DM-Upload-Allowed control field).
      + depend on debhelper (>= 9~).
   * debian/copyright: update Format field now the machine-readable format has
     been officially published.
Checksums-Sha1: 
 32d2644992784bc8a45d5a4fbe665f810af994d8 1909 libasyncns_0.8-5.dsc
 a47b9b146dd582cbcacebbc49cac8e9e5e371ed3 4144 libasyncns_0.8-5.debian.tar.xz
 4cc48702820c4c5962f50057eee41419c854dba8 91508 libasyncns-dev_0.8-5_amd64.deb
 cc29be70ea7503fb5e024d443ed84d83c938f402 12510 libasyncns0_0.8-5_amd64.deb
Checksums-Sha256: 
 d4a02c1cca193187a9a75241950e5a31340ec204e7b41e7261934b86d752dc6f 1909 libasyncns_0.8-5.dsc
 aafa8cffc7139dc95b593674cd71e273e2503c65a3a7a36e29f21f8869b5889a 4144 libasyncns_0.8-5.debian.tar.xz
 d4b469697037d87fe9dc417d13e214ab721c3b2472c733fb8338cd62a30a7ae9 91508 libasyncns-dev_0.8-5_amd64.deb
 def39be949207b17a2ce75e8fdc2cab05d05b80c868a7ff9c51fb6372a13b924 12510 libasyncns0_0.8-5_amd64.deb
Files: 
 8cd6365440b838f8e4ce3ba3d9e5344c 1909 libs optional libasyncns_0.8-5.dsc
 2a41fca79594d6eaa5a0025b87b99ff5 4144 libs optional libasyncns_0.8-5.debian.tar.xz
 606cb6c306af723895605213d4c90417 91508 libdevel optional libasyncns-dev_0.8-5_amd64.deb
 e0a794f4e60b297b2dc31dc7da1327f0 12510 libs optional libasyncns0_0.8-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJS6kT+AAoJEOryzVHFAGgZgzsP/2YL8mVgJzLinM+YJzS3FbnM
n4eMqxY0AqWuhFvzFqTXxhYsGQtX4h7KnkiKrlNMCs19scPogTZTHJtS9tnwNXTF
Qh7d1dDeqcNUMdjdzLstBWlvCu/Ju2FkO7JBJRWyMUfFcqs5ApGGPqjGL+rNs5i1
cd6JNBrr7oDlGb1biMbCeb31SEGdfyDwiQ+hsIxeEMdKffcDxhA22Pwu9+Y5UmGA
29pijEgaBzSM5FAWmJE6KQHlVzYAKjfqszV7Kzxffe5X3byZousezrPXqAPhCBmK
n2xMK1NTCcpqRM2+3c3sldTjxrehhwb3ti998/oGM7um0/2C+tBrHg5R0PQAkmC9
z4DLPtfX0ErnZyOgZKXkmmp+OnQ6cg6M9ldNlzFVZpv1n1Q93yiIWLbC9ug48LTF
AHyoPfqwUO2zeu4W2WghW+zVYFx+Xy+4pBUM9hczeJ82adkA2Tpowy2to9hGF0Tk
BIpt6w9rHrYgE5F2G75T/YUN0IR2yyeDv1AK82Jwe8G8RoDd6rjDnUhb9k6S4DP6
eFlfutPZGsoYPpevaAyLUJuKGlO4JPslXpSkEvr9RClXzKwD6dfkSvbb3svRSQzN
8LCFUQkjVJdo7EQumnUQaQQmmIs9fXOi/MC2NnHbdIv2NickaGurCnRyksFnwL1Q
umscgo97ZH60VIujELle
=MuoJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Mar 2014 07:34:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:47:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.